Subject: RE: Question regarding protocol specific mtu for FCoE

From: Ben Hutchings <[email-masked]>
Date: Wed, 03 Jun 2009 20:27:25 +0100

On Wed, 2009-06-03 at 12:16 -0700, Zou, Yi wrote:
[...]
> FCoE is on L2 layer, no path specific MTU, everything goes out as
> whatever mtu known to the nic. Since the nic is expected to be used for
> converged traffic involving multiple traffic types, e.g. LAN, FCoE, I
> was wondering if it makes sense to have the additional MTU. Essentially,
> the nic driver will be able to setup via netdev for different MTUs for
> converged traffic.

Wouldn't you use separate VLANs for FCoE and other traffic?  So maybe we
should allow for per-VLAN rather than per-protocol MTU.

Ben.

-- 
Ben Hutchings, Senior Software Engineer, Solarflare Communications
Not speaking for my employer; that's the marketing department's job.
They asked us to note that Solarflare product names are trademarked.